package com.huimv.eartag2.common.mq;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class Const {
    @Value("${rabbitmq.queues}")
    private Integer queues;

    public final static String ROUTING_KEY_ASK = "topic.ask.key";
    public final static String QUEUE_ASK = "topic.ask.queue";
    public final static String EXCHANGE_ASK = "topic.ask.exchange";

    public final static String EXCHANGE_DEVICE = "topic.device.exchange";

    public final static String QUEUE_DEVICE_HEARTBEAT = "topic.device_heartbeat.queue";
    public final static String ROUTING_KEY_DEVICE_HEARTBEAT = "topic.device_heartbeat.key";

    public final static String QUEUE_DEVICE_TEMP = "topic.device_temp.queue";
    public final static String ROUTING_KEY_DEVICE_TEMP = "topic.device_temp.key";

    public final static String EXCHANGE_EARTAG = "topic.eartag.exchange";
    public final static String QUEUE_EARTAG = "topic.eartag.queue";
    public final static String ROUTING_KEY_EARTAG = "topic.eartag.key";

    //////////////////////////////////////////////////////////////////////////////////////////////////////////

    public final static String EXCHANGE_ASK_DEVICE = "topic.askDevice.exchange";
    public final static String ROUTING_KEY_ASK_DEVICE = "topic.askDevice.routeKey";
    public final static String QUEUE_ASK_DEVICE = "topic.askDevice.queue";

    public final static String EXCHANGE_ASK_EARTAG = "direct.askEartag.exchange";
    public final static String ROUTING_KEY_ASK_EARTAG = "direct.askEartag.routeKey";
    public final static String QUEUE_ASK_EARTAG = "direct.askEartag.queue";

    public final static String QUEUE_SYNC_DEVICE_REGISTER = "topic.syncDeviceRegister.queue";
    public final static String EXCHANGE_SYNC_DEVICE_REGISTER = "topic.syncDeviceRegister.exchange";
    public final static String ROUTING_KEY_SYNC_DEVICE_REGISTER = "topic.syncDeviceRegister.routeKey";

    // ========================== 同步设备总数 ========================== //
    public final static String QUEUE_SYNC_EARTAG_REGISTER = "topic.syncEartagRegister.queue";
    public final static String EXCHANGE_SYNC_EARTAG_REGISTER = "topic.syncEartagRegister.exchange";
    public final static String ROUTING_KEY_SYNC_EARTAG_REGISTER = "topic.syncEartagRegister.routeKey";

    // -------------------------- 同步设备总数 -------------------------- //
    public final static String QUEUE_SYNC_DEVICE_TOTAL = "topic.syncDeviceTotal.queue";
    public final static String EXCHANGE_SYNC_DEVICE_TOTAL = "topic.syncDeviceTotal.exchange";
    public final static String ROUTING_KEY_SYNC_DEVICE_TOTAL = "topic.syncDeviceTotal.routeKey";

    /**
     * 广播形式 同步注册设备信息
     */
    public final static String QUEUE_SYNC_DEVICE_FANOUT="fanout.syncDevice.queue";
    public final static String EXCHANGE_SYNC_DEVICE_FANOUT="fanout.syncDevice.exchange";

    //同步牧场配置消息
    public final static String QUEUE_SYNC_SYS_CONFIG = "topic.syncSysConfig.queue";
    public final static String EXCHANGE_SYNC_SYS_CONFIG = "topic.syncSysConfig.exchange";
    public final static String ROUTING_KEY_SYNC_SYS_CONFIG = "topic.syncSysConfig.routeKey";

    // -------------------------- 计算小时运动量 -------------------------- //
    public final static String QUEUE_COUNT_ACT_HOUR = "direct.countActHour.queue";
    public final static String EXCHANGE_COUNT_ACT_HOUR = "direct.countActHour.exchange";
    public final static String ROUTING_KEY_COUNT_ACT_HOUR = "direct.countActHour.routeKey";

    // -------------------------- 更新设备注册信息 -------------------------- //
    public final static String QUEUE_DEVICE_REGIST = "direct.deviceRegist.queue";
    public final static String EXCHANGE_DEVICE_REGIST = "direct.deviceRegist.exchange";
    public final static String ROUTING_KEY_DEVICE_REGIST = "direct.deviceRegist.routeKey";

    // -------------------------- 更新耳标注册信息 -------------------------- //
    public final static String QUEUE_EARTAG_REGIST = "direct.eartagRegist.queue";
    public final static String EXCHANGE_EARTAG_REGIST  = "direct.eartagRegist.exchange";
    public final static String ROUTING_KEY_EARTAG_REGIST  = "direct.eartagRegist.routeKey";

    // -------------------------- 更新设备在线统计 -------------------------- //
    public final static String QUEUE_DEVICE_COUNT = "direct.deviceCount.queue";
    public final static String EXCHANGE_DEVICE_COUNT  = "direct.deviceCount.exchange";
    public final static String ROUTING_KEY_DEVICE_COUNT  = "direct.deviceCount.routeKey";

    // -------------------------- 更新耳标在线统计 -------------------------- //
    public final static String QUEUE_EARTAG_COUNT = "direct.eartagCount.queue";
    public final static String EXCHANGE_EARTAG_COUNT  = "direct.eartagCount.exchange";
    public final static String ROUTING_KEY_EARTAG_COUNT  = "direct.eartagCount.routeKey";

    // -------------------------- 更新耳标连线状态 -------------------------- //
    public final static String QUEUE_EARTAG_LIVE = "direct.eartagLiveStatus.queue";
    public final static String EXCHANGE_EARTAG_LIVE  = "direct.eartagLiveStatus.exchange";
    public final static String ROUTING_KEY_EARTAG_LIVE  = "direct.eartagLiveStatus.routeKey";

    // -------------------------- 更新耳标设备在线关联统计 -------------------------- //
    public final static String QUEUE_EARTAG_DEVICE_ONLINE = "direct.updateEartagDeviceOnlineCount.queue";
    public final static String EXCHANGE_EARTAG_DEVICE_ONLINE= "direct.updateEartagDeviceOnlineCount.exchange";
    public final static String ROUTING_KEY_EARTAG_DEVICE_ONLINE  = "direct.updateEartagDeviceOnlineCount.routeKey";


    // -------------------------- 异常统计和异常报警 -------------------------- //
    public final static String QUEUE_ABNORMAL = "direct.abnormalCountAndAlarm.queue";
    public final static String EXCHANGE_ABNORMAL= "direct.abnormalCountAndAlarm.exchange";
    public final static String ROUTING_KEY_ABNORMAL  = "direct.abnormalCountAndAlarm.routeKey";

    // -------------------------- 判断该设备编号是否存在牧场缓存在线集合当中 -------------------------- //
    public final static String QUEUE_AllSTATUS = "direct.updateEartagPropertyOfAllStatus.queue";
    public final static String EXCHANGE_AllSTATUS= "direct.updateEartagPropertyOfAllStatus.exchange";
    public final static String ROUTING_KEY_AllSTATUS  = "direct.updateEartagPropertyOfAllStatus.routeKey";



}
